Mantieni tutto organizzato con le raccolte Salva e classifica i contenuti in base alle tue preferenze.

Le librerie ospitate da Google sono una rete di distribuzione dei contenuti stabile, affidabile, ad alta velocità e disponibile a livello globale per le librerie JavaScript open source più popolari.

Google collabora direttamente con gli stakeholder principali per ogni impegno nella raccolta e accetta le versioni più recenti man mano che vengono rilasciate.

Librerie

Per caricare una libreria ospitata, copia e incolla lo snippet HTML per tale libreria (mostrato di seguito) nella pagina web. Ad esempio, per caricare jQuery, incorpora lo snippet <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.1/jquery.min.js"></script> nella tua pagina web.

Ti consigliamo di caricare le librerie dalla rete CDN tramite HTTPS, anche se il tuo sito web utilizza solo HTTP. Oggi le prestazioni sono veloci e la memorizzazione nella cache funziona esattamente allo stesso modo. I file CDN vengono pubblicati con le intestazioni CORS e Timing-Allow e possono essere memorizzati nella cache per 1 anno.

CesioJS

snippet:
<script src="https://ajax.googleapis.com/ajax/libs/cesiumjs/1.78/Build/Cesium/Cesium.js"></script>
site:
github.com/CesiumGS/cesium
versioni:
1,78

D3.js

snippet:
<script src="https://ajax.googleapis.com/ajax/libs/d3js/7.6.1/d3.min.js"></script>
site:
d3js.org
versioni:
7.6.1, 7.4.2, 7.0.0
6.7.0, 6.6.2, 6.6.1, 6.6.0, 6.5.0, 6.3.1, 6.2.0, 6.1.1
5.16.0, 5.15.1, 1, 1, 1, 1, 1, 1.

Dojo

snippet:
<script src="https://ajax.googleapis.com/ajax/libs/dojo/1.13.0/dojo/dojo.js"></script>
site:
dojotoolkit.org
versioni:
1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 0 1

Core esterno

snippet:
<script src="https://ajax.googleapis.com/ajax/libs/ext-core/3.1.0/ext-core.js"></script>
site:
sencha.com/products/extcore
versioni:
3.1.0, 3.0.0

Hammer.JS

snippet:
<script src="https://ajax.googleapis.com/ajax/libs/hammerjs/2.0.8/hammer.min.js"></script>
site:
hammerjs.github.io
versioni:
2,0,8

Osservabile a tempo indeterminato

snippet:
<script type="module">
  import { IndefiniteObservable } from "https://ajax.googleapis.com/ajax/libs/indefinite-observable/2.0.1/indefinite-observable.bundle.js";
</script>
site:
https://github.com/material-motion/indefinite-observable-js
versions:
2.0.1, 1.0.1

jQuery

Snippet 3.x:
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.1/jquery.min.js"></script>
Snippet 2.x:
<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.4/jquery.min.js"></script>
Snippet 1.x:
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
site:
jquery.com
versioni:
3 3 2 3 38
Nota:
3.3.0, 2.1.2, 1.2.5 e 1.2.4 non sono ospitati a causa della loro vita breve e instabile in natura.

jQuery Mobile

snippet:
<link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jquerymobile/1.4.5/jquery.mobile.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquerymobile/1.4.5/jquery.mobile.min.js"></script>
site:
jquerymobile.com
versioni:
1.4.5, 1.4.4, 1.4.3, 1.4.2, 1.4.1, 1.4.0
Nota:
Questa libreria dipende da jQuery. Devi anche caricare jQuery prima di caricare questo modulo.

UI jQuery

snippet:
<link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.13.2/themes/smoothness/jquery-ui.css">
<script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.13.2/jquery-ui.min.js"></script>
site:
jqueryui.com
versions:
1.13.2, 1.13.1, 1.13.0, 1.12.1, 1.12.0, 1.11.4, 1.11.3, 1.11.2, 1.11.1, 1.11.0, 1.10.4, 1.10.3, 1.10.2, 1.10.1, 1.10.0, 1.9.2, 1.9.1, 1.9.0, 1.8.24, 1.8.23, 1.8.22, 1.8.21, 1.8.20, 1.8.19, 1.8.18, 1.8.17, 1.8.16, 1.8.15, 1.8.14, 1.8.13, 1.8.12, 1.8.11, 1.8.10, 1.8.9, 1.8.8, 1.8.7, 1.8.6, 1.8.5, 1.8.4, 1.8.2, 1.8.1, 1.8.0, 1.7.3, 1.7.2, 1.7.1, 1.7.0, 1.6.0, 1.5.3, 1.5.2
note:
This library depends on jQuery. You must also load jQuery before loading this module. Version 1.8.3 is not hosted due to its short life, and the alias 1.8.3 actually loads 1.8.4.

Movimento dei materiali

snippet:
<script type="module">
  import {
    Draggable,
    Point2DSpring,
    Tossable,
    combineStyleStreams,
    getPointerEventStreamsFromElement,
  } from "https://ajax.googleapis.com/ajax/libs/material-motion/0.1.0/material-motion.bundle.js";
</script>
site:
https://github.com/material-motion/material-motion-js
versions:
0.1.0

Visualizzatore modelli

snippet:
<script src="https://ajax.googleapis.com/ajax/libs/model-viewer/1.9.0/model-viewer.min.js"></script>
site:
modelviewer.dev
versioni:
1.9.0, 1.8.0, 1.7.2, 1.7.0, 1.6.0

Strumenti per dispositivi mobili

snippet:
<script src="https://ajax.googleapis.com/ajax/libs/mootools/1.6.0/mootools.min.js"></script>
site:
mootools.net
versioni:
1.6.0, 1.5.2, 1.5.1, 1.5.0, 1.4.5, 1.4.4, 1.4.3, 1.4.2, 1.4.1, 1.4.0, 1.3.2, 1.3.1, 1.3.1, 1.2.1, 1.2.1, 1.2.1.
Nota:
Per le versioni 1.5.1 e precedenti, il nome file della versione minimizzata si chiama mootools-yui-compush.js invece di mintools.min.js.

Strumenti per il Myanmar/Birmania

snippet:
<script src="https://ajax.googleapis.com/ajax/libs/myanmar-tools/1.2.1/zawgyi_detector.min.js"></script> <script src="https://ajax.googleapis.com/ajax/libs/myanmar-tools/1.2.1/zawgyi_converter.min.js"></script>
site:
https://github.com/google/myanmar-tools/
recommended versions:
1.2.1
all hosted versions:
1.0.1
1.1.0
1.1.1
1.1.3
1.2.0
1.2.1

Prototipo

snippet:
<script src="https://ajax.googleapis.com/ajax/libs/prototype/1.7.3.0/prototype.js"></script>
site:
prototypejs.org
versioni:
1.7.3.0, 1.7.2.0, 1.7.1.0, 1.7.0.0, 1.6.1.0, 1.6.0.3, 1.6.0.2

script.aculo.us

snippet:
<script src="https://ajax.googleapis.com/ajax/libs/scriptaculous/1.9.0/scriptaculous.js"></script>
site:
script.aculo.us
versioni:
1.9.0, 1.8.3, 1.8.2, 1.8.1
Nota:
Questa raccolta dipende da Prototype. Prima di caricare questo modulo, devi caricare il prototipo.

giocatore di shaka

snippet:
<!-- for non-UI builds: -->
<script src="https://ajax.googleapis.com/ajax/libs/shaka-player/4.2.1/shaka-player.compiled.js"></script>

<!-- or, for UI builds: -->
<script src="https://ajax.googleapis.com/ajax/libs/shaka-player/4.2.1/shaka-player.ui.js"></script>
<link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/shaka-player/4.2.1/controls.css">
site:
https://github.com/google/shaka-player/
maintained versions:
4.2.1, 4.1.4, 3.3.10, 3.2.12
all hosted versions:
4.2.0 - 4.2.1, 4.1.0 - 4.1.4, 4.0.0 - 4.0.5, 3.3.0 - 3.3.10, 3.2.0 - 3.2.12, 3.1.0 - 3.1.8, 3.0.0 - 3.0.15, 2.5.0-beta - 2.5.23, 2.4.0 - 2.4.7, 2.3.0 - 2.3.10, 2.2.0 - 2.2.10, 2.1.0 - 2.1.9, 2.0.6 - 2.0.9, 1.6.5

SPF

snippet:
<script src="https://ajax.googleapis.com/ajax/libs/spf/2.4.0/spf.js"></script>
site:
youtube.github.io/spfjs
versioni:
2.4.0, 2.3.2, 2.3.1, 2.3.0, 2.2.0, 2.1.2, 2.1.1, 2.1.0, 2.0.1, 2.0.0

Oggetto SWF

snippet:
<script src="https://ajax.googleapis.com/ajax/libs/swfobject/2.2/swfobject.js"></script>
site:
github.com/swfobject/swfobject
versioni:
2.2, 2.1

tre.js

snippet:
<script src="https://ajax.googleapis.com/ajax/libs/threejs/r84/three.min.js"></script>
site:
threejs.org
versioni:
r84, r83, r82, r81, r80, r79, r78, r77, r76, r75, r74, r73, r72, r71, r70, r69, r68, r67, r49

Caricatore di caratteri web

snippet&GT;
<script src="https://ajax.googleapis.com/ajax/libs/webfont/1.6.26/webfont.js"></script>
site:
github.com/typekit/webfontloader
versioni:
1.6.26, 1.6.16, 1.5.18, 1.5.10, 1.5.6, 1.5.3, 1.5.2, 1.5.0

Risoluzione dei problemi

Vedi una versione obsoleta? Assicurati di non utilizzare i link "Versione automatica", ad esempio /jqueryui/1/..., ma di utilizzare invece URL che fanno riferimento a versioni esatte. A causa di timori sulla memorizzazione nella cache e mancanza di compatibilità tra le versioni secondarie, abbiamo ritirato e aggiornato l'aggiornamento degli alias di versione automatica qualche tempo fa, quindi faranno sempre riferimento a una versione precedente (per non interrompere i siti esistenti che li usano ancora).

In caso di problemi: